=begin pod

=TITLE X::Parameter::MultipleTypeConstraints

    class X::Parameter::MultipleTypeConstraints does X::Comp { }

Compile time error thrown when a parameter has multiple type constraints.
This is not allowed in Perl 6.0.

Example:

    sub f(Cool Real $x) { }

produces

    Parameter $x may onle have one prefix type constraint
 
=head1 Methods

=head2 parameter

Returns the name of the offensive parameter.

=end pod
